Closed Bug 499425 Opened 12 years ago Closed 12 years ago

Please mirror Thunderbird nightly builds, before they're gone

Categories

(Mozilla Messaging :: Server Operations, defect)

defect
Not set
major

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: philor, Assigned: gozer)

References

()

Details

MoCo needs space on ftp.mozilla.org, where our nightly builds going back to 2003, and thus our ability to identify the cause of regressions, live. Can we please copy them (at least 2003-2006, which is what's on the chopping block right now, if not everything) over to MoMo's storage before they're gone? According to the post in m.d.builds, we should just be looking at a bit over 150GB for 2003-2006.
A very good idea, and we have available storage for this. I'll get the content mirrored on monday.
Assignee: nobody → gozer
Keeping old nightlies around is very useful for regression window hunting. (binary search or otherwise)

I'd say basically every nightly / release since TB was forked way back in 2003.
No longer blocks: 496876
Depends on: 496876
It would be nice if I could get to the thunderbird nightly build areas via rsync, but apparently, that's not available anymore.

$> rsync rsync://releases-rsync.mozilla.org/mozilla-ftp/thunderbird/
[...]
drwxr-xr-x        4096 2005/10/21 19:49:59 .
drwxrwxr-x        4096 2004/11/19 17:16:19 extensions
drwxr-xr-x        4096 2009/06/22 10:03:35 releases
Looks like we're going to be keeping all of those builds anyways, so this is probably extraneous.
By which he meant "keeping for this round of cuts."
If you still want the files by rsync then ask MoCo IT to allow your IP on stage.m.o and rsync from the mozilla-all module.
Depends on: 502628
(In reply to comment #6)
> If you still want the files by rsync then ask MoCo IT to allow your IP on
> stage.m.o and rsync from the mozilla-all module.

Thanks! Filed bug 502628
Done, and will continue mirroring them in the future. Is there any need for keepign the complete MARs, however, I just noticed them and they take up loads of space too, I'd rather exclude these from the mirroring.

 107M   pub/mozilla.org/thunderbird/nightly/2003/12
  87M   pub/mozilla.org/thunderbird/nightly/2004/01
 121M   pub/mozilla.org/thunderbird/nightly/2004/02
 238M   pub/mozilla.org/thunderbird/nightly/2004/03
 402M   pub/mozilla.org/thunderbird/nightly/2004/04
 497M   pub/mozilla.org/thunderbird/nightly/2004/05
 798M   pub/mozilla.org/thunderbird/nightly/2004/06
 2.4G   pub/mozilla.org/thunderbird/nightly/2004/07
 2.5G   pub/mozilla.org/thunderbird/nightly/2004/08
 2.7G   pub/mozilla.org/thunderbird/nightly/2004/09
 1.8G   pub/mozilla.org/thunderbird/nightly/2004/10
 2.1G   pub/mozilla.org/thunderbird/nightly/2004/11
 2.0G   pub/mozilla.org/thunderbird/nightly/2004/12
 2.7G   pub/mozilla.org/thunderbird/nightly/2005/01
 3.1G   pub/mozilla.org/thunderbird/nightly/2005/02
 3.4G   pub/mozilla.org/thunderbird/nightly/2005/03
 3.1G   pub/mozilla.org/thunderbird/nightly/2005/04
 3.1G   pub/mozilla.org/thunderbird/nightly/2005/05
 3.0G   pub/mozilla.org/thunderbird/nightly/2005/06
 3.7G   pub/mozilla.org/thunderbird/nightly/2005/07
 4.7G   pub/mozilla.org/thunderbird/nightly/2005/08
 4.8G   pub/mozilla.org/thunderbird/nightly/2005/09
 5.2G   pub/mozilla.org/thunderbird/nightly/2005/10
 4.8G   pub/mozilla.org/thunderbird/nightly/2005/11
 5.0G   pub/mozilla.org/thunderbird/nightly/2005/12
 4.8G   pub/mozilla.org/thunderbird/nightly/2006/01
 5.1G   pub/mozilla.org/thunderbird/nightly/2006/02
 5.7G   pub/mozilla.org/thunderbird/nightly/2006/03
 5.8G   pub/mozilla.org/thunderbird/nightly/2006/04
  14G   pub/mozilla.org/thunderbird/nightly/2006/05
 6.5G   pub/mozilla.org/thunderbird/nightly/2006/06
 7.9G   pub/mozilla.org/thunderbird/nightly/2006/07
 3.8G   pub/mozilla.org/thunderbird/nightly/2006/08
 4.6G   pub/mozilla.org/thunderbird/nightly/2006/09
 5.7G   pub/mozilla.org/thunderbird/nightly/2006/10
 4.1G   pub/mozilla.org/thunderbird/nightly/2006/11
 5.7G   pub/mozilla.org/thunderbird/nightly/2006/12
 8.5G   pub/mozilla.org/thunderbird/nightly/2007/01
 5.0G   pub/mozilla.org/thunderbird/nightly/2007/02
 5.8G   pub/mozilla.org/thunderbird/nightly/2007/03
 4.0G   pub/mozilla.org/thunderbird/nightly/2007/04
 7.2G   pub/mozilla.org/thunderbird/nightly/2007/05
 5.6G   pub/mozilla.org/thunderbird/nightly/2007/06
 9.5G   pub/mozilla.org/thunderbird/nightly/2007/07
 5.6G   pub/mozilla.org/thunderbird/nightly/2007/08
 4.0G   pub/mozilla.org/thunderbird/nightly/2007/09
 5.9G   pub/mozilla.org/thunderbird/nightly/2007/10
 4.2G   pub/mozilla.org/thunderbird/nightly/2007/11
 5.5G   pub/mozilla.org/thunderbird/nightly/2007/12
 4.2G   pub/mozilla.org/thunderbird/nightly/2008/01
 5.8G   pub/mozilla.org/thunderbird/nightly/2008/02
 3.4G   pub/mozilla.org/thunderbird/nightly/2008/03
 6.9G   pub/mozilla.org/thunderbird/nightly/2008/04
 2.9G   pub/mozilla.org/thunderbird/nightly/2008/05
 2.6G   pub/mozilla.org/thunderbird/nightly/2008/06
 5.2G   pub/mozilla.org/thunderbird/nightly/2008/07
 2.8G   pub/mozilla.org/thunderbird/nightly/2008/08
 4.4G   pub/mozilla.org/thunderbird/nightly/2008/09
 2.8G   pub/mozilla.org/thunderbird/nightly/2008/10
 3.8G   pub/mozilla.org/thunderbird/nightly/2008/11
 4.5G   pub/mozilla.org/thunderbird/nightly/2008/12
 3.2G   pub/mozilla.org/thunderbird/nightly/2009/01
 3.4G   pub/mozilla.org/thunderbird/nightly/2009/02
 5.7G   pub/mozilla.org/thunderbird/nightly/2009/03
 3.6G   pub/mozilla.org/thunderbird/nightly/2009/04
 4.3G   pub/mozilla.org/thunderbird/nightly/2009/05
 6.3G   pub/mozilla.org/thunderbird/nightly/2009/06
 1.4G   pub/mozilla.org/thunderbird/nightly/2009/07
I wouldn't think so: hypothetically they could be used to identify an updater or mar generation regression, but I don't remember ever hearing of anyone actually using them.
In that case, I'll get rid of them.
Status: NEW → RESOLVED
Closed: 12 years ago
Resolution: --- → FIXED
We've been deleting Firefox & Seamonkey mars as only the latest partial and complete are ever referenced by the AUS.
You need to log in before you can comment on or make changes to this bug.